Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Map Legend

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11805

Description

QGis crashes dragging a Legend Layer File over a Legend Layer File Group. It happen over center of the item Layer File Group because

the Legend Layer File pass to the same level as symbology on the Legend Layer, below center of the Layer File Group the drag works

fine. The drag is not allowed to another position.

History

#1 - 2009-07-11 04:18 AM - Giovanni Manghi

Seems to me that this patch has not been applied yet.

Qgis 1.2 trunk under linux crashes (segfault) while qgis 1.2 under windows xp returns "access violation - no RTTI data!" but doesn't crash and remain

usable.

#2 - 2009-07-18 02:08 AM - Marco Hugentobler

Looking at the patch it seems to me that it would be better to handle it in a generic way in qgslegend.cpp (not only for LEGEND_LAYER_FILE and

LEGEND_LAYER_FILE_GROUP).

I'm nearly about to rush to the train station for holidays. I'm coming back to this ticket in about a week.

Regards,

Marco

#3 - 2009-07-24 10:57 AM - Giovanni Manghi

maybe #1439 can be squeezed together with this one

#4 - 2009-07-29 05:35 AM - Marco Hugentobler

Hi

I don't have the crash on my system, only the move of the legend layer file to the symbology section. 'legendpatch.diff' fixes that in a generic way (only using

the return value of dest->accept(), without explicitely mention the concrete classes).

Could you test if this also works for you and if it fixes the crash on your system or not?

Thanks,

Marco
#5 - 2009-07-29 06:44 AM - Giovanni Manghi

Hi,

It is pretty easy to reproduce the crash (rev. 11186), see this

http://www.faunalia.pt/downloads/qgis_legend_crash.mpeg

Now I'll compile the latest revision and try the patch.

#6 - 2009-07-29 07:01 AM - Giovanni Manghi

The pacth works for me (ubuntu 9.04, qgis rev. 11201).

#7 - 2009-07-29 07:06 AM - Marco Hugentobler

- Status changed from Open to Closed

- Resolution set to fixed

Ok, so I'm closing this ticket.

#8 - 2009-07-29 09:37 AM - Giovanni Manghi

but it wasn't yet committed, right?

#9 - 2009-07-29 02:06 PM - Marco Hugentobler

Right, I was too quick with closing :-)

Committed now in .
